Subject: [mif] OpenWRT enhancements requests for MIF and HomeNet from OPNFV

From: Iben Rodriguez <[email-masked]>
Date: Thu, 5 Nov 2015 18:20:24 +0900

We are working with OPNFV community to automatically build an open source
network test bed with various tests being run on a regular basis as part of
a Continuous Integration Pipeline. These tests basically deploy a topology
or machines and networks then run some scripts and collect the results
uploading them to a centralized dashboard. We currently have over 13 labs
some with many pods.

Tests being developed cover both functional and performance tests for
various use cases and protocols.

As a start I figured out how to convert the OpenWRT RAW image from trunk
and import it to a vmware hypervisor - we also want to get it working on
OpenStack. Please see my wish list here -
http://wiki.openwrt.org/doc/howto/vmware - and let me know your thoughts on
how best to proceed.

Many thanks!

I b e n